Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.rest.render
[Groovy] Class AbstractRenderer

    java.lang.Object
      grails.rest.render.AbstractRenderer

All Implemented Interfaces:
  Renderer

    @groovy.transform.CompileStatic
    abstract class AbstractRenderer
    extends java.lang.Object

Abstract implementation of the Renderer interface

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`MimeType[]` | `mimeTypes`
`java.lang.Class` | `targetType`

Constructor Summary
`AbstractRenderer(java.lang.Class targetType, MimeType mimeType)`
`AbstractRenderer(java.lang.Class targetType, MimeType[] mimeTypes)`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### mimeTypes

    MimeType[] mimeTypes

### targetType

    java.lang.Class targetType

Constructor Detail

### AbstractRenderer

    AbstractRenderer(java.lang.Class targetType, MimeType mimeType)

### AbstractRenderer

    AbstractRenderer(java.lang.Class targetType, MimeType[] mimeTypes)

Groovy Documentation